<?php
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

/**
 * Dr Who database class for character/season relationships
 */
class DrwhoTableCharacterSeason extends JTable
{
	/**
	 * Constructor
	 * 
	 * @param   object &$db JDatabase
	 * @return  void
	 */
	public function __construct(&$db)
	{
		parent::__construct('#__drwho_character_seasons', 'id', $db);
	}

	/**
	 * Validate data
	 * 
	 * @return  boolean  True if data is valid
	 */
	public function check()
	{
		if (!$this->character_id) 
		{
			$this->setError(JText::_('Please provide a character ID.'));
			return false;
		}

		if (!$this->season_id) 
		{
			$this->setError(JText::_('Please provide a season ID.'));
			return false;
		}

		return true;
	}

	/**
	 * Delete records by character ID
	 * 
	 * @param   integer  $character_id
	 * @return  boolean
	 */
	public function deleteByCharacter($character_id)
	{
		if (!$character_id)
		{
			$this->setError(JText::_('Please provide a character ID.'));
			return false;
		}

		$this->_db->setQuery("DELETE FROM $this->_tbl WHERE `character_id`=" . $this->_db->Quote(intval($character_id)));
		if (!$this->_db->query())
		{
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		return true;
	}

	/**
	 * Delete records by season ID
	 * 
	 * @param   integer  $season_id
	 * @return  boolean
	 */
	public function deleteBySeason($season_id)
	{
		if (!$season_id)
		{
			$this->setError(JText::_('Please provide a season ID.'));
			return false;
		}

		$this->_db->setQuery("DELETE FROM $this->_tbl WHERE `season_id`=" . $this->_db->Quote(intval($season_id)));
		if (!$this->_db->query())
		{
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		return true;
	}
}

