<?php
// Push CSS to the document

Hubzero_Document::addComponentStylesheet($this->option);

// Similarly, a method is available for pushing javascript assets to the document.
// The arguments accepted are the same as the stylesheet method described above.
//
// Hubzero_Document::addComponentScript($this->option);

$species = array(
	'???'      => '???',
	'human'    => 'Human',
	'timelord' => 'Time Lord',
	'dalek'    => 'Dalek',
	'cyberman' => 'Cyberman',
	'sontaran' => 'Sontaran',
);
?>
<header id="content-header">
	<h2><?php echo JText::_('COM_DRWHO'); ?></h2>
</header>
<section class="main section">
	<?php if ($this->getError()) { ?>
		<p class="error"><?php echo $this->getError(); ?></p>
	<?php } ?>

	<form action="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=' . $this->controller . '&task=save'); ?>" method="post" id="hubForm">
		<div class="explaination">
			<p><?php echo JText::_('COM_DRWHO_HELP'); ?></p>
		</div>
		<fieldset>
			<legend><?php echo JText::_('COM_DRWHO_DETAILS'); ?></legend>

			<label for="field-name">
				<?php echo JText::_('COM_DRWHO_NAME'); ?> <span class="required"><?php echo JText::_('JREQUIRED'); ?></span>
				<input type="text" name="entry[name]" id="field-name" size="35" value="<?php echo $this->escape($this->entry->get('name')); ?>" />
			</label>

			<label for="field-species">
				<?php echo JText::_('COM_DRWHO_SPECIES'); ?>
				<select name="entry[species]" id="field-species">
					<?php foreach ($species as $val => $title) { ?>
						<option<?php if ($this->entry->get('species') == $val) { echo ' selected="selected"'; } ?> vlaue="<?php echo $this->escape($val); ?>"><?php echo $this->escape($title); ?></option>
					<?php } ?>
				</select>
			</label>

			<div class="grid">
				<div class="col span4">
					<label for="field-friend">
						<input class="option" type="checkbox" name="entry[friend]" id="field-friend" value="1" <?php if ($this->entry->get('friend', 0)) { echo ' checked="checked"'; } ?> />
						<?php echo JText::_('COM_DRWHO_FRIEND'); ?>
					</label>
				</div>

				<div class="col span4">
					<label for="field-friend">
						<input class="option" type="checkbox" name="entry[enemy]" id="field-enemy" value="1" <?php if ($this->entry->get('enemy', 0)) { echo ' checked="checked"'; } ?> />
						<?php echo JText::_('COM_DRWHO_ENEMY'); ?>
					</label>
				</div>

				<div class="col span4 omega">
					<label for="field-doctor">
						<input class="option" type="checkbox" name="entry[doctor]" id="field-doctor" value="1" <?php if ($this->entry->get('doctor', 0)) { echo ' checked="checked"'; } ?> />
						<?php echo JText::_('COM_DRWHO_DOCTOR'); ?>
					</label>
				</div>
			</div>

			<label for="field-bio">
				<?php echo JText::_('COM_DRWHO_BIO'); ?> <span class="required"><?php echo JText::_('JREQUIRED'); ?></span>
				<?php echo \JFactory::getEditor()->display('entry[bio]', $this->escape($this->entry->bio('raw')), '', '', 50, 10, false, 'field-bio'); ?>
			</label>

			<fieldset>
				<legend><?php echo JText::_('COM_DRWHO_SEASONS'); ?></legend>
				<?php foreach ($this->model->seasons() as $season) { ?>
					<?php
					$check = false;
					if ($this->entry->exists())
					{
						foreach ($this->entry->seasons() as $s)
						{
							if ($s->get('id') == $season->get('id'))
							{
								$check = true;
							}
						}
					}
					?>
					<label for="season<?php echo $season->get('id'); ?>">
						<input class="option" type="checkbox" name="seasons[]" id="season<?php echo $season->get('id'); ?>" <?php if ($check) { echo ' checked="checked'; } ?> value="<?php echo $season->get('id'); ?>" />
						<?php echo $this->escape($season->get('title')); ?>
					</label>
				<?php } ?>
			</fieldset>
		</fieldset>
		<div class="clear"></div>

		<input type="hidden" name="id" value="<?php echo $this->entry->get('created_by'); ?>" />
		<input type="hidden" name="entry[id]" value="<?php echo $this->entry->get('id'); ?>" />
		<input type="hidden" name="entry[state]" value="<?php echo $this->entry->get('state', 1); ?>" />
		<input type="hidden" name="option" value="<?php echo $this->option; ?>" />
		<input type="hidden" name="controller" value="<?php echo $this->controller; ?>" />
		<input type="hidden" name="task" value="save" />

		<?php echo JHTML::_('form.token'); ?>

		<p class="submit">
			<input class="btn btn-success" type="submit" value="<?php echo JText::_('COM_DRWHO_SAVE'); ?>" />

			<a class="btn btn-secondary" href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=' . $this->controller); ?>">
				<?php echo JText::_('COM_DRWHO_CANCEL'); ?>
			</a>
		</p>
	</form>
</section>