<?php
// Push CSS to the document

Hubzero_Document::addComponentStylesheet($this->option);

// Similarly, a method is available for pushing javascript assets to the document.
// The arguments accepted are the same as the stylesheet method described above.
//
// Hubzero_Document::addComponentScript($this->option);
?>
<header id="content-header">
	<h2><?php echo JText::_('COM_DRWHO'); ?>: <?php echo JText::_('COM_DRWHO_SEASONS'); ?></h2>

	<div id="content-header-extra">
		<p>
			<a class="icon-prev btn" href="<?php echo JRoute::_('index.php?option=' . $this->option); ?>"><?php echo JText::_('COM_DRWHO_MAIN'); ?></a>
		</p>
	</div>
</header>

<section class="main section">
	<form class="section-inner" action="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=' . $this->controller); ?>" method="get">
		<div class="container">
			<table class="entries">
				<caption><?php echo JText::_('COM_DRWHO_SEASONS'); ?></caption>
				<thead>
					<tr>
						<th><?php echo JText::_('COM_DRWHO_COL_ID'); ?></th>
						<th><?php echo JText::_('COM_DRWHO_COL_TITLE'); ?></th>
						<th><?php echo JText::_('COM_DRWHO_COL_PREMIERE'); ?></th>
						<th><?php echo JText::_('COM_DRWHO_COL_FINALE'); ?></th>
						<th><?php echo JText::_('COM_DRWHO_COL_THE_DOCTOR'); ?></th>
						<?php if ($this->model->access('edit')) { ?>
							<th></th>
						<?php } ?>
					</tr>
				</thead>
			<?php if ($this->model->access('create')) { ?>
				<tfoot>
					<tr>
						<td colspan="<?php echo ($this->model->access('edit') ? '6' : '5'); ?>">
							<a class="icon-add btn" href="<?php echo JRoute::_('index.php?option=' . $this->option . '&controller=' . $this->controller . '&task=add'); ?>">
								<?php echo JText::_('COM_DRWHO_NEW'); ?>
							</a>
						</td>
					</tr>
				</tfoot>
			<?php } ?>
				<tbody>
				<?php foreach ($this->records as $record) { ?>
					<tr>
						<th>
							<?php echo $this->escape($record->get('id')); ?>
						</th>
						<td>
							<a href="<?php echo JRoute::_($record->link()); ?>">
								<?php echo $this->escape($record->get('title')); ?>
							</a>
						</td>
						<td>
							<time datetime="<?php echo $record->started(); ?>"><?php echo $record->started('date'); ?></time>
						</td>
						<td>
							<time datetime="<?php echo $record->ended(); ?>"><?php echo $record->ended('date'); ?></time>
						</td>
						<td>
							<?php echo $record->doctor()->get('name'); ?></time>
						</td>
						<?php if ($this->model->access('edit')) { ?>
							<td>
								<a class="icon-edit btn" href="<?php echo JRoute::_($record->link('edit')); ?>">
									<?php echo JText::_('JACTION_EDIT'); ?>
								</a>
								<a class="icon-delete btn" href="<?php echo JRoute::_($record->link('delete')); ?>">
									<?php echo JText::_('JACTION_DELETE'); ?>
								</a>
							</td>
						<?php } ?>
					</tr>
				<?php } ?>
				</tbody>
			</table>

			<?php 
			jimport('joomla.html.pagination');
			$pageNav = new JPagination(
				$this->total, 
				$this->filters['start'], 
				$this->filters['limit']
			);

			echo $pageNav->getListFooter();

			JPluginHelper::importPlugin('drwho');
			$dispatcher = JDispatcher::getInstance();

			$results = $dispatcher->trigger('onAfterDisplay');
			echo implode("\n", $results);
			?>
		</div>
	</form>
</section>